Как подружить iOS 7 с Ubuntu/Mint/Debian

Автор
Опубликовано: 1035 дней назад (21 сентября 2014)
Редактировалось: 6 раз — последний 22 сентября 2014
0
Голосов: 0
Столкнулся с тем, что при подключении к ПК iPad выкидывает сообщение:
Как подружить iOS 7  с Ubuntu/Mint/Debian


А Убунта и Минт такое:
Как подружить iOS 7  с Ubuntu/Mint/Debian

После нажатия Trust всё повторялось по новой.

Проблема оказалась в библиотеке libimobiledevice по умолчанию используется более старая версия, нам нужна версия libimobiledevice 1.1.6.
Библитеку ставил с репозитория чувака по имени Ralf-Philipp Weinmann на ланчпаде
Проделаем в терминале:
Код PHP:
  1.  
  2. sudo apt-add-repository ppa:rpw/libimobiledevice
  3. sudo apt-get update
  4. sudo apt-get upgrade
  5.  
После вышеуказанных действий библиотека обновится на более новую.

P.S. Та же самая проблема под виндой тоже возникала, решалось обновлением iTunes

P.P.S. Если возникнет ошибка lock down error проделываем:
Код PHP:
  1.  
  2. sudo mkdir /var/lib/lockdown
  3. sudo chmod 777 /var/lib/lockdown
  4.  
Комментарии (0)

Нет комментариев. Ваш будет первым!